com.holonplatform.core.query

## Interface TemporalFunction.CurrentDate

- All Superinterfaces:
    Expression, QueryExpression<Date>, QueryFunction<Date,Object>, QueryProjection<Date>, TemporalFunction<Date>, TemporalQueryExpression<Date>, TypedExpression<Date>
  Enclosing interface:
    TemporalFunction<T>

      public static interface TemporalFunction.CurrentDate
      extends TemporalFunction<Date>, TemporalQueryExpression<Date>

  A function to obtain the current date as a `Date`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.TemporalFunction

      `TemporalFunction.CurrentDate, TemporalFunction.CurrentLocalDate, TemporalFunction.CurrentLocalDateTime, TemporalFunction.CurrentTimestamp, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemporalFunction.CurrentDate` | `create()` Create a new `TemporalFunction.CurrentDate` function instance.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.TemporalQueryExpression

      `day, hour, month, year`

- - ### Method Detail

    - #### create

          static TemporalFunction.CurrentDate create()

      Create a new `TemporalFunction.CurrentDate` function instance.
      Returns:
        New `TemporalFunction.CurrentDate` function instance

Copyright © 2019 The Holon Platform. All rights reserved.